IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

The product message template object

Attributes

iduuid

Unique identifier

message_template_iduuid
message_templates.id

Identifier of the related email template

product_iduuid
products.id

Identifier of the related unit

created_attimestamp with time zone

Creation timestamp

orderinteger

Order of the email template as displayed in the admin

The product message template object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "message_template_id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T06:50:03.887Z",
  "order": 0
}

List product message templates

Filters

idFilter<uuid>

Unique identifier

message_template_idFilter<uuid>
message_templates.id

Identifier of the related email template

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

orderFilter<integer>

Order of the email template as displayed in the admin

Responses

200

A list of product message templates with the selected columns

206

Partial Content

GET /product_message_templates
curl -X GET "https://api.bookingmood.com/v1/product_message_templates?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create product message templates

Body

Partial<ProductMessageTemplate> | Array<Partial<ProductMessageTemplate>>

Responses

201

The newly created product message templates with the selected columns

POST /product_message_templates
curl -X POST "https://api.bookingmood.com/v1/product_message_templates" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete product message templates

Filters

idFilter<uuid>

Unique identifier

message_template_idFilter<uuid>
message_templates.id

Identifier of the related email template

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

orderFilter<integer>

Order of the email template as displayed in the admin

Responses

204

The deleted product message templates with the selected columns

DELETE /product_message_templates
curl -X DELETE "https://api.bookingmood.com/v1/product_message_templates" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update product message templates

Filters

idFilter<uuid>

Unique identifier

message_template_idFilter<uuid>
message_templates.id

Identifier of the related email template

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

orderFilter<integer>

Order of the email template as displayed in the admin

Body

Partial<ProductMessageTemplate>

Responses

204

The updated product message templates with the selected columns

PATCH /product_message_templates
curl -X PATCH "https://api.bookingmood.com/v1/product_message_templates" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'